import org.roboid.core.*;
import processing.hamster.*;
import org.roboid.robot.*;

Hamster hamster;

void setup() {
  hamster = Hamster.create(this);
}

// don't forget 'draw'
void draw() {
}

void run() {
  // acceleration
  for(int i = 0; i < 50; ++i) {
    hamster.wheels(i, i);
    delay(20); // 20 ms
  }

  // 0.5 seconds
  delay(500);

  // deceleration
  for(int i = 50; i >= 0; --i) {
    hamster.wheels(i, i);
    delay(20); // 20 ms
  }

  // disconnect
  hamster.dispose();
}