import org.roboid.core.*;
import processing.hamster.*;
import org.roboid.robot.*;

Hamster hamster;

void setup() {
  hamster = Hamster.create(this);
}

// don't forget 'draw'
void draw() {
}

void run() {
  int accX;
  while(true) {
    // move backward
    hamster.wheels(-100, -100);
    accX = hamster.accelerationX();
    if(accX > 2000 || accX < -2000) {
      // move forward
      hamster.wheels(100, 100);
      delay(250); // 0.25 seconds

      // turn left
      hamster.wheels(-50, 50);
      delay(500); // 0.5 seconds
    }
  }
}