import org.roboid.core.*;
import processing.hamster.*;
import org.roboid.robot.*;

// This example requires a Hamster's extension kit

Hamster hamster;

void setup() {
  hamster = Hamster.create(this);
  // set a port A to the digital output mode
  hamster.ioModeA(Hamster.IO_MODE_DIGITAL_OUTPUT);
}

// don't forget 'draw'
void draw() {
}

void run() {
  while(true) {
    // turn LED on
    hamster.outputA(1);
    delay(1000); // 1 second

    // turn LED off
    hamster.outputA(0);
    delay(1000); // 1 second
  }
}