import org.roboid.core.*;
import processing.hamster.*;
import org.roboid.robot.*;

// This example requires a Hamster's extension kit

Hamster hamster;

void setup() {
  hamster = Hamster.create(this);
  // set a port A to the servo output mode
  hamster.ioModeA(Hamster.IO_MODE_SERVO_OUTPUT);
}

// don't forget 'draw'
void draw() {
}

void run() {
  while(true) {
    // move to 180 degrees
    hamster.outputA(180);
    delay(1000); // 1 second

    // move to home
    hamster.outputA(10);
    delay(1000); // 1 second
  }
}