import org.roboid.core.*;
import processing.hamster.*;
import org.roboid.robot.*;

Hamster hamster;
int centerX, centerY;

void setup() {
  size(200,200);
  centerX = 100;
  centerY = 100;
  hamster = Hamster.create(this);
}

void draw() {
  background(255);
  fill(0);
  text("Press a button to move..", 10, 16);
  ellipse(100,100, 30, 30);
  line(100 ,100, mouseX, mouseY);
}

void repeat() {
  int dx = centerX - mouseX;
  int dy = centerY - mouseY;
  
  if(mousePressed && (abs(dx) > 15 || abs(dy) > 15)) {
    int base = dy / 2;
    int delta = dx / 2;
    
    if(dy < 0) {
      hamster.wheels(base + delta, base - delta);
    } else {
      hamster.wheels(base - delta, base + delta);
    }
  } else {
    hamster.stop();
  }
}