import org.roboid.core.*;
import processing.hamster.*;
import org.roboid.robot.*;

Hamster hamster;
int leftProximity;
int rightProximity;

void setup() {
  size(200,200);
  noStroke();
  hamster = Hamster.create(this);
}

void draw() {
  background(255);
  fill(0);
  text("BarGraphHandFollower", 10, 16);
  text("Left: " + leftProximity, 28, 185);
  text("Right: " + rightProximity, 125, 185);

  // draw bar graph
  rect(30, 20, 30, 150);
  rect(130, 20, 30, 150);
  fill(255);
  rect(30, 20, 30, leftProximity * 2);
  rect(130, 20, 30, rightProximity * 2);

  fill(0, 0, 255);
  rect(10, 100, 180, 1);
}

void repeat() {
  leftProximity = hamster.leftProximity();
  rightProximity = hamster.rightProximity();

  // left wheel
  int leftWheel = 0;
  if(leftProximity > 15) {
    leftWheel = (40 - leftProximity) * 4;
  }

  // right wheel
  int rightWheel = 0;
  if(rightProximity > 15) {
    rightWheel = (40 - rightProximity) * 4;
  }
  
  hamster.wheels(leftWheel, rightWheel);
}